FlushEntityEvent (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.spi
Class FlushEntityEvent

    java.lang.Object
      org.hibernate.event.spi.AbstractEvent
          org.hibernate.event.spi.FlushEntityEvent

All Implemented Interfaces:
  Serializable

    public class FlushEntityEvent

extends AbstractEvent

See Also:
  Serialized Form

Constructor Summary
`FlushEntityEvent(EventSource source, Object entity, EntityEntry entry)`

Method Summary
`Object[]` | `getDatabaseSnapshot()`
`int[]` | `getDirtyProperties()`
`Object` | `getEntity()`
`EntityEntry` | `getEntityEntry()`
`Object[]` | `getPropertyValues()`
`boolean` | `hasDatabaseSnapshot()`
`boolean` | `hasDirtyCollection()`
`boolean` | `isDirtyCheckHandledByInterceptor()`
`boolean` | `isDirtyCheckPossible()`
`void` | `setDatabaseSnapshot(Object[] databaseSnapshot)`
`void` | `setDirtyCheckHandledByInterceptor(boolean dirtyCheckHandledByInterceptor)`
`void` | `setDirtyCheckPossible(boolean dirtyCheckPossible)`
`void` | `setDirtyProperties(int[] dirtyProperties)`
`void` | `setHasDirtyCollection(boolean hasDirtyCollection)`
`void` | `setPropertyValues(Object[] propertyValues)`

Methods inherited from class org.hibernate.event.spi.AbstractEvent
`getSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlushEntityEvent

    public FlushEntityEvent(EventSource source,
                            Object entity,
                            EntityEntry entry)

Method Detail

### getEntityEntry

    public EntityEntry getEntityEntry()

### getDatabaseSnapshot

    public Object[] getDatabaseSnapshot()

### setDatabaseSnapshot

    public void setDatabaseSnapshot(Object[] databaseSnapshot)

### hasDatabaseSnapshot

    public boolean hasDatabaseSnapshot()

### isDirtyCheckHandledByInterceptor

    public boolean isDirtyCheckHandledByInterceptor()

### setDirtyCheckHandledByInterceptor

    public void setDirtyCheckHandledByInterceptor(boolean dirtyCheckHandledByInterceptor)

### isDirtyCheckPossible

    public boolean isDirtyCheckPossible()

### setDirtyCheckPossible

    public void setDirtyCheckPossible(boolean dirtyCheckPossible)

### getDirtyProperties

    public int[] getDirtyProperties()

### setDirtyProperties

    public void setDirtyProperties(int[] dirtyProperties)

### hasDirtyCollection

    public boolean hasDirtyCollection()

### setHasDirtyCollection

    public void setHasDirtyCollection(boolean hasDirtyCollection)

### getPropertyValues

    public Object[] getPropertyValues()

### setPropertyValues

    public void setPropertyValues(Object[] propertyValues)

### getEntity

    public Object getEntity()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.